1. Invoice
Rapira
  • Введение
  • JWT
    • Инструкция по созданию JWT
    • Generate JWT
      POST
  • CRYPTO MERCHANT
    • Адреса
      • Get address by currency
      • Create address by currency
      • Get address details by id
      • Get address list by currency
      • Start use address
      • Stop use address
    • Пополнения
      • Get deposits
  • MARKET
    • Get spot fees
      GET
    • Pairs
      GET
    • Token
      GET
    • Get rates JSON
      GET
    • Get rates XML
      GET
    • Get market depth
      POST
  • BALANCE
    • Get frozen balances
      GET
    • Get balance operations coins and types
      GET
    • Get balance operations
      POST
    • Get frozen balances detailed
      GET
    • Get Balances
      GET
  • SERVER TIME
    • Get server time
  • ORDER
    • Order history
    • Order details
    • Add exchange order
    • Cancel order
  • CRYPTO PAYOUT
    • Withdraw
      • Withdraw create
      • Withdraw crypto history Record
      • Withdraw crypto history
  • FIAT PAYOUT
    • Fiat
      • Withdraw fiat history
      • Withdraw fiat history Record
    • FIAT TRANSACTION
      • Fiat Transactions
      • Fiat Withdraw For Record
  • AML
    • AML balance
    • Recheck
    • Check address
    • Check transaction
  • rCode
    • Create rCode
    • rCode withdraw history
    • rCode deposit history
    • rCode details
    • Use rCode
  • OTC
    • Введение в OTC
    • Get payment types
    • Get my ads
    • Create ad
    • Update ad
    • Publish ad
    • Unpublish ad
    • Get offers
    • Fetch ads
    • Get order detail
    • Create order
    • Accept order
    • Decline order
    • Cancel order
    • Chat-history
    • Chat history page query
    • Pay order
    • Release order
    • Cancel appeal
    • Get order history
    • Create appeal
    • Send message
  • CRYPTO-PROCESSING
    • Введение
    • Создание проекта
    • Настройка проекта
    • Работа с инвойсами
    • Projects Settings
      • Get Invoices (Paginated)
      • Set deposit return address
      • Get Available Token Settings
      • Get Project Token Settings
      • Update Project Token Settings
      • Batch Update Project Token Settings
      • Get Projects
      • Edit Project
    • Invoice
      • Available Invoice Currencies
        GET
      • Create Invoice
        POST
      • Get Invoice
        GET
      • Get Available Payment Tokens for Invoice
        GET
      • Get Payment Address for Invoice
        POST
      • Manual Complete Undepaid Invoice
        POST
  • Schemas
    • CryptoProcessing
      • CryptoInvoice
      • CryptoPaymentQuote
      • CryptoDeposit
      • ProjectProcessingTokenSetting
      • ProjectProcessingTokenSettingEditRequest
      • ProjectResponse
  1. Invoice

Get Invoice

GET
/open/crypto-processing/invoice/{invoiceId}
Возвращает информацию об инвойсе по его идентификатору.
Позволяет получить текущий статус инвойса, доступные варианты оплаты, а также связанные депозиты.

Request

Path Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.rapira.net/open/crypto-processing/invoice/' \
--header 'Authorization: Bearer {{jwt-token}}' \
--header 'Content-Type: application/json'
Response Response Example
{
    "invoiceId": "841ffcc4-a2b9-4c2d-b609-92d9d84706d1",
    "projectName": "MyProject",
    "projectUuid": "607a2147-5374-468f-93ce-88911e79afa1",
    "projectLink": "nolink",
    "requestAmount": 20,
    "requestCoin": "AED",
    "paymentDescription": "Оплата за кофе",
    "paymentQuotes": [],
    "selectedPaymentQuote": null,
    "paymentStatus": "NONE",
    "paidAmount": 0,
    "remainingAmount": 0,
    "overpaidAmount": 0,
    "status": "UNPAID",
    "cryptoDeposits": [],
    "timeToPayMinutes": 60,
    "lastAddressCreateTime": "2026-03-18 16:02:56+03:00",
    "createTime": "2026-03-18 16:02:56+03:00",
    "invoiceExpireAt": "2026-03-27 05:17:02+03:00",
    "endTime": null
}
Modified at 2026-03-27 01:19:24
Previous
Create Invoice
Next
Get Available Payment Tokens for Invoice
Built with